#ifndef _kmozillapart_h_
#define _kmozillapart_h_

#include "xparthost_kpart.h"

class TDEAboutData;
class TDEProcess;

class KMozillaPart : public XPartHost_KPart
{
    TQ_OBJECT

public:
    KMozillaPart(TQWidget *parentWidget, const char *widgetName,
	         TQObject *parent, const char *name, const TQStringList &);
    virtual ~KMozillaPart();

    virtual void createActions( const TQCString &xmlActions );

    static TDEAboutData *createAboutData();

private:
    TDEProcess *m_partProcess;
};

#endif

